> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/resources/managed-services/getmanagedservicesselector-method.md).

# GetManagedServicesSelector Method

## Description

Retrieves information for a Managed Services Selector.

## HTTP Request

`GET https://api.skeddly.com/api/ManagedServices/Plans/<planId>/Selectors/<selectorId>`

## URL Parameters

### planId

ID of the Managed Services Plan to that contains the selector to retrieve.

Type: `string`

Required: Yes

### selectorId

ID of the Managed Services Selector to retrieve.

Type: `string`

Required: Yes

## Query Parameters

### isIncludeDeleted

Indicates whether deleted selectors can be returned.

Type: `boolean`

Required: No

Default: `false`

## Returns

A [ManagedServicesSelector](/data-types/managedservicesselector-object.md) object.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/ManagedServices/Plans/plan-00000001/Selectors/selector-00000001 HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/ManagedServices/Plans/plan-00000001/Selectors/selector-00000001" \
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
{
    "planId": "plan-00000001",
    "selectorId": "selector-00000001",
    "name": "Development EC2 Instances",
    
    "state": "active",
    "syncState": "ready",
    
    "createdDate": "2023-02-13T00:00:00Z",
    "lastModifiedDate": "2023-02-14T00:00:00Z",
    "lastModifiedBy": "u-00000001",
    
    "selectorCode": "0000000000000000",
    
    "credentialIds": [
        "cred-00000001",
        "cred-00000002"
    ],
    "regionNames": null,
    
    "resourceType": "amazon-ec2-instance",
    
    "resourceTagComparisons": [
        {
            "tagName": "start-schedule",
            "compareType": "equals",
            "tagValue": "daily-0800"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/managed-services/getmanagedservicesselector-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
